/*
 * Definitions of sizes changeable by command option.
 *  The size macro is defined as needed by the caller.
 *  Parameters are:  command option, variable name, default size.
 */

Size("c",  csize,     100)	/* constant table */
Size("i",  isize,     500)	/* identifier table */
Size("f",  fsize,     100)	/* field table headers */
Size("g",  gsize,     200)	/* global table */
Size("hc", chsize,    128)	/* constant hash table */
Size("hf", fhsize,     32)	/* field hash table */
Size("hg", ghsize,    128)	/* global hash table */
Size("hi", ihsize,    128)	/* identifier hash table */
Size("hl", lhsize,    128)	/* local hash table */
Size("l",  lsize,     100)	/* local table */
Size("n",  nsize,    1000)	/* ipc/line num. assoc. table */
Size("r",  rsize,     100)	/* field table record list */
Size("s",  stsize,  20000)	/* string space */
Size("t",  tsize,   15000)	/* parse tree space */
Size("F",  fnmsize,    10)	/* ipc/file name assoc. table */
Size("L",  maxlabels, 500)	/* maximum number of labels/proc */
Size("C",  maxcode, 15000)	/* code space per procedure */
